public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "John Helmert III" <ajak@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-misc/polybar/
Date: Mon,  4 Apr 2022 18:51:47 +0000 (UTC)	[thread overview]
Message-ID: <1649098261.678ab14470c9ce26f60875983154d90ee87ee603.ajak@gentoo> (raw)

commit:     678ab14470c9ce26f60875983154d90ee87ee603
Author:     John Helmert III <ajak <AT> gentoo <DOT> org>
AuthorDate: Mon Apr  4 18:51:01 2022 +0000
Commit:     John Helmert III <ajak <AT> gentoo <DOT> org>
CommitDate: Mon Apr  4 18:51:01 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=678ab144

x11-misc/polybar: add 3.6.2

Signed-off-by: John Helmert III <ajak <AT> gentoo.org>

 x11-misc/polybar/Manifest             |  1 +
 x11-misc/polybar/polybar-3.6.2.ebuild | 61 +++++++++++++++++++++++++++++++++++
 2 files changed, 62 insertions(+)

diff --git a/x11-misc/polybar/Manifest b/x11-misc/polybar/Manifest
index ccfc43176fae..22406591d5b8 100644
--- a/x11-misc/polybar/Manifest
+++ b/x11-misc/polybar/Manifest
@@ -1,4 +1,5 @@
 DIST i3ipcpp-86ddf7102c6903ae0cc543071e2d375403fc0727.tar.gz 43693 BLAKE2B a84525b0bd00d4ab4ed8afed00fd92eee965efea9960670dcea3efaa259834df5bb7cf8e79a894dd4d4f92f28643ad1b43ccbb374ade96174c6c2f6fc63f5ddc SHA512 f4643bea5a78bd9518fecc9d56ece8d679539b99016440a6e4d45305984c02963d80e00c5375cc53ac7418e2f24f57279930428b331e077eaafa8d0717677662
 DIST polybar-3.5.7.tar.gz 283520 BLAKE2B 3f7cad2886c0f8352b92e636035607b2abab6dafd0966e6edb9f3b768fc6e5b180be2479f81812eb792f66edada6fe2625af5c3ecc9216763c141a393ab90474 SHA512 6336613d37ae45ca43d1cc2e1e2126bcd09247dbf81b3df979def44b240e2a736035503cf5aaeff0a86c830deb956f9ef7057c7fa1ac3da5119b8e6c1db0fe7f
 DIST polybar-3.6.1.tar.gz 437027 BLAKE2B 87cd05b235128834daacd5e48b7bba4d610c1018bbdc6280996d23314b4398a2c7322a425a047b55ad952c7a0e6a73c3076f57df6b4f7ab8fcdffcc0e40ef165 SHA512 973b623464d3683f28484606e418473f9a241c2f6d6e59877a487b61aa2d91f4f44702926c19c47d87720991bccf0a4b6ac0b00d015806d345a3bf701e327d2b
+DIST polybar-3.6.2.tar.gz 438843 BLAKE2B 0d2e3662fd4b5150b3feea4d8c3cc9acc61e0d7f609b0c88c26905384f5023b3924e0b9c528677fe8e017b5136404ac507a3cdb1ec18dcbf2b89c57d3116d1af SHA512 b45ed2a89f4ddc4ee232d6e47416390611b666f8c765fe3916343dbd45ddb877c9ecf764a7d025762caaee6ec2f8c2b9b232cd52d301e70650e4031d029a4f5d
 DIST xpp-044e69d05db7f89339bda1ccd1efe0263b01c8f6.tar.gz 84121 BLAKE2B dea2384773803bbc5de2ec971ed0cf769b0af8b987bbcf918718647e4787b4713af54a358c029e9603c28c5424488731f76ecc430b6b124bcd9255aef893431f SHA512 646e159d47d6dac8f08a27a1cb54e2ef48e42cff952b55b3906c2021c424e015c070a31a7a1e70b62e0edc7a8b42b935a23b9a922eaab138d3f6929bc1fdb8d4

diff --git a/x11-misc/polybar/polybar-3.6.2.ebuild b/x11-misc/polybar/polybar-3.6.2.ebuild
new file mode 100644
index 000000000000..22e5d89b9188
--- /dev/null
+++ b/x11-misc/polybar/polybar-3.6.2.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit cmake python-single-r1
+
+DESCRIPTION="A fast and easy-to-use tool for creating status bars"
+HOMEPAGE="https://github.com/polybar/polybar"
+SRC_URI="https://github.com/polybar/${PN}/releases/download/${PV}/${P}.tar.gz"
+
+KEYWORDS="~amd64 ~x86"
+LICENSE="MIT"
+SLOT="0"
+IUSE="alsa curl doc i3wm ipc mpd network pulseaudio"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+DEPEND="
+	${PYTHON_DEPS}
+	$(python_gen_cond_dep 'x11-base/xcb-proto[${PYTHON_USEDEP}]')
+	dev-libs/libuv:=
+	media-libs/fontconfig
+	media-libs/freetype
+	x11-libs/cairo[X,xcb(+)]
+	x11-libs/libxcb:=[xkb]
+	x11-libs/xcb-util
+	x11-libs/xcb-util-cursor
+	x11-libs/xcb-util-image
+	x11-libs/xcb-util-wm
+	x11-libs/xcb-util-xrm
+	alsa? ( media-libs/alsa-lib )
+	curl? ( net-misc/curl )
+	doc? ( dev-python/sphinx )
+	i3wm? (
+		dev-libs/jsoncpp:=
+		|| ( x11-wm/i3 x11-wm/i3-gaps )
+	)
+	mpd? ( media-libs/libmpdclient )
+	network? ( dev-libs/libnl:3 )
+	pulseaudio? ( media-sound/pulseaudio )
+"
+RDEPEND="${DEPEND}"
+
+src_configure() {
+	local mycmakeargs=(
+		-DENABLE_ALSA="$(usex alsa)"
+		-DENABLE_CURL="$(usex curl)"
+		-DBUILD_DOC="$(usex doc)"
+		-DENABLE_I3="$(usex i3wm)"
+		-DBUILD_POLYBAR_MSG="$(usex ipc)"
+		-DENABLE_MPD="$(usex mpd)"
+		-DENABLE_NETWORK="$(usex network)"
+		-DENABLE_PULSEAUDIO="$(usex pulseaudio)"
+		# Bug 767949
+		-DENABLE_CCACHE="OFF"
+	)
+
+	cmake_src_configure
+}


             reply	other threads:[~2022-04-04 18:51 UTC|newest]

Thread overview: 77+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-04-04 18:51 John Helmert III [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-08-31  6:47 [gentoo-commits] repo/gentoo:master commit in: x11-misc/polybar/ John Helmert III
2024-07-28 18:51 John Helmert III
2024-07-28 18:51 John Helmert III
2024-05-11 19:08 Sam James
2024-05-11 19:08 Sam James
2024-01-08  5:50 John Helmert III
2024-01-08  5:50 John Helmert III
2023-11-27 18:12 John Helmert III
2023-11-20 14:36 John Helmert III
2023-06-11 19:00 John Helmert III
2023-06-11  7:37 Andreas Sturmlechner
2023-02-28 12:15 Yixun Lan
2022-10-08  2:56 John Helmert III
2022-10-08  2:56 John Helmert III
2022-10-08  2:56 John Helmert III
2022-09-10  0:48 Sam James
2022-09-09 17:24 John Helmert III
2022-07-19 16:44 John Helmert III
2022-07-06  0:20 Sam James
2022-07-05 20:09 John Helmert III
2022-05-04 13:59 John Helmert III
2022-03-05 15:37 John Helmert III
2022-03-03  5:23 John Helmert III
2022-03-02  1:42 John Helmert III
2022-01-30  1:47 John Helmert III
2022-01-30  1:47 John Helmert III
2021-11-01 10:02 Sam James
2021-11-01  2:07 Sam James
2021-09-22 23:49 John Helmert III
2021-09-22 23:49 John Helmert III
2021-07-17 18:18 David Seifert
2021-07-11 20:51 Sam James
2021-07-11 19:11 John Helmert III
2021-05-24 23:37 John Helmert III
2021-05-24 23:37 John Helmert III
2021-04-16  0:35 Sam James
2021-04-13  7:36 Agostino Sarubbo
2021-03-14  5:36 John Helmert III
2021-03-02  2:42 John Helmert III
2021-02-22 21:29 John Helmert III
2021-01-09  4:21 Sam James
2020-12-27  5:35 Sam James
2020-12-27  5:35 Sam James
2020-12-15  3:43 Sam James
2020-12-13 10:44 Joonas Niilola
2020-10-04 16:13 David Seifert
2020-10-04 16:13 David Seifert
2020-09-23 10:34 Agostino Sarubbo
2020-09-23 10:20 Agostino Sarubbo
2020-07-05  8:24 Joonas Niilola
2020-02-13 12:46 Agostino Sarubbo
2020-02-13 12:03 Agostino Sarubbo
2020-02-12 17:21 Johannes Huber
2020-01-14 22:48 Matt Turner
2020-01-13 20:08 Johannes Huber
2020-01-01 21:12 Johannes Huber
2020-01-01 21:12 Johannes Huber
2020-01-01 19:52 Johannes Huber
2020-01-01 19:52 Johannes Huber
2019-10-28  7:41 Agostino Sarubbo
2019-10-27 23:20 Thomas Deutschmann
2019-05-28 20:05 Johannes Huber
2019-05-28 20:05 Johannes Huber
2019-05-28 20:05 Johannes Huber
2018-10-06 21:43 Johannes Huber
2018-09-22  9:10 Michał Górny
2018-09-22  9:04 Michał Górny
2018-08-05 21:48 Patrice Clement
2018-07-23 15:56 Tony Vroon
2018-06-23 17:51 Mikle Kolyada
2018-06-23  8:50 Johannes Huber
2018-06-17 23:29 Thomas Deutschmann
2018-06-14 21:17 Johannes Huber
2018-05-11 11:48 Johannes Huber
2018-05-11 10:55 Michał Górny
2018-05-04 21:05 Patrice Clement

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1649098261.678ab14470c9ce26f60875983154d90ee87ee603.ajak@gentoo \
    --to=ajak@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox